Download it now!
Bug 82492 - DOCX: Corruption: File conatining a Shape followed by an SDT gets corrupt
Summary: DOCX: Corruption: File conatining a Shape followed by an SDT gets corrupt
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-12 06:08 UTC by pallavi.jadhav
Modified: 2014-09-01 08:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Shape followed by SDT (25.34 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-08-12 06:08 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-08-12 06:08:09 UTC
Created attachment 104466 [details]
Shape followed by SDT

Steps to reproduce :
1] Open attached file in LO
2] Perform save_as to DOCX
3] Open saved file in MS Office-2010

Current behavior :
File gets corrupt after Roundtrip.

Expected behavior :
File should get open on MS Office-2010 without corruption.
Comment 1 Commit Notification 2014-08-18 10:53:42 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b9988163c0c0d158fc2d9f5272695ccfec92237

fdo#82492 : DOCX: Corruption: File was getting corrupt fafter RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jorendc 2014-09-01 08:27:02 UTC
Fix applied + Unit test -> RESOLVED FIXED